/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#ifndef __IAudioResample__
#define __IAudioResample__

#ifdef __cplusplus
extern "C" {
#endif


	// {53E0DA8B-6A64-408a-A64D-DCEBE0C7B277}
	DEFINE_GUID(IID_IAudioResample, 
	0x53e0da8b, 0x6a64, 0x408a, 0xa6, 0x4d, 0xdc, 0xeb, 0xe0, 0xc7, 0xb2, 0x77);


    DECLARE_INTERFACE_(IAudioResample, IUnknown)
    {

        STDMETHOD(get_Percent) (THIS_
                    double* data
                 ) PURE;

        STDMETHOD(set_Percent) (THIS_
                    double data
                 ) PURE;

        STDMETHOD(get_SamplesAdded) (THIS_
                    __int64* data
                 ) PURE;

        STDMETHOD(get_RawTotal) (THIS_
                    __int64* data
                 ) PURE;

        STDMETHOD(get_ActualPercent) (THIS_
                    double* data
                 ) PURE;
    };

#ifdef __cplusplus
}
#endif

#endif

