/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#ifndef __IFilterProp__
#define __IFilterProp__

#ifdef __cplusplus
extern "C" {
#endif

	// {14E01258-17A5-4bee-89A8-3768EC863FF0}
	DEFINE_GUID(IID_IFilterProperties, 
	0x14e01258, 0x17a5, 0x4bee, 0x89, 0xa8, 0x37, 0x68, 0xec, 0x86, 0x3f, 0xf0);

    DECLARE_INTERFACE_(IFilterProperties, IUnknown)
    {

        STDMETHOD(get_Prop) (THIS_
                    char*& data
                 ) PURE;

        STDMETHOD(set_Prop) (THIS_
                    char* data
                 ) PURE;

        STDMETHOD(get_Version) (THIS_
                    char *data
                 ) PURE;


    };

#ifdef __cplusplus
}
#endif

#endif

