/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#ifndef __IHistogram__
#define __IHistogram__

#ifdef __cplusplus
extern "C" {
#endif

	// {3CC8191D-F78B-4504-B375-428480CDA995}
	DEFINE_GUID(IID_IHistogram,
	0x3cc8191d, 0xf78b, 0x4504, 0xb3, 0x75, 0x42, 0x84, 0x80, 0xcd, 0xa9, 0x95);


    DECLARE_INTERFACE_(IHistogram, IUnknown)
    {

        STDMETHOD(get_Channel) (THIS_
                    BOOL *Channel
                 ) PURE;

        STDMETHOD(set_Channel) (THIS_
                    BOOL effectNum
                 ) PURE;

        STDMETHOD(get_RGBmask) (THIS_
                    int *mask
                 ) PURE;

        STDMETHOD(set_RGBmask) (THIS_
                    int mask
                 ) PURE;

    };

#ifdef __cplusplus
}
#endif

#endif // __IHistogram__

