/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/


#ifndef __VideoCropPropData__
#define __VideoCropPropData__

class VideoCropPropData
{

public:

    VideoCropPropData(int le, int ri, int to, int bo, int width, int height);
	~VideoCropPropData();

	int getTop();
	int getRight();
	int getBottom();
	int getLeft();

	int getInputWidth();
	int getInputHeight();


private:

	int left;
	int right;
	int top;
	int bottom;

	int input_width;
	int input_height;
};

#endif