// AudioMixer.h: interface for the CAudioMixer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUDIOMIXER_H__DCD9E8D1_F473_4811_8907_E9DAB168FDBB__INCLUDED_)
#define AFX_AUDIOMIXER_H__DCD9E8D1_F473_4811_8907_E9DAB168FDBB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <dshow.h>

class CAudioMixer  
{
public:
	CAudioMixer(IBaseFilter*);
	virtual ~CAudioMixer();

	double getLevel(int);
	double getPan(int);
	int setPan(double, int);
	int setLevel(double, int);
	int getInput();
	int setInput(int);
	int populateCombo(HWND hwndCombo);

private:
	IBaseFilter *audioCapDevice;

};

#endif // !defined(AFX_AUDIOMIXER_H__DCD9E8D1_F473_4811_8907_E9DAB168FDBB__INCLUDED_)
