/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#ifndef __IVideoCrop__
#define __IVideoCrop__

#include "VideoCropPropData.h"

#ifdef __cplusplus
extern "C" {
#endif

	// {29D1AC9B-2245-4c2d-BD51-83FF69A4F2C0}
	DEFINE_GUID(IID_IVideoCrop,
	0x29d1ac9b, 0x2245, 0x4c2d, 0xbd, 0x51, 0x83, 0xff, 0x69, 0xa4, 0xf2, 0xc0);

    DECLARE_INTERFACE_(IVideoCrop, IUnknown)
    {

        STDMETHOD(get_Data) (THIS_
                    VideoCropPropData*& data
                 ) PURE;

        STDMETHOD(set_Data) (THIS_
                    VideoCropPropData*& data
                 ) PURE;
    };

#ifdef __cplusplus
}
#endif

#endif

