/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#if !defined(Codec_Header)
#define Codec_Header

#include <dshow.h>
#include <string>
using namespace std;

class CCodec
{

private:

	int codecID;
	GUID codecType;
	IBaseFilter *pVComp;
	IMoniker *codecList[1024];

public:

	int codec_counter;

    CCodec(GUID type);
    ~CCodec();

	int currentCodecINDEX();
//	void getFilter(char *codecName);
	showProperties(HWND hwnd);
	getCodecNames();
	string getCodecName(int index);
	string getCodecIDstring(int index);
	IBaseFilter* getCurrentCodec();
	void getFilterByINDEX(int);
	void getFilterByID(string);
};

#endif