// CTVstation.h: interface for the CTVstation class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CTVSTATION_H__E30342D9_59A4_4C8B_BC18_ECFD46D62231__INCLUDED_)
#define AFX_CTVSTATION_H__E30342D9_59A4_4C8B_BC18_ECFD46D62231__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTVstation  
{
public:
	CTVstation();
	virtual ~CTVstation();

	int getChannelMAP();
	int getChannelTEXT(char *channelMAPTEXT, int size);
	int setChannelMAP(int channel);

	int getChannel();
	int setChannel(int channel);

	const char* getChannelName();
	int setChannelName(CHAR *newName); 

private:

	// Private data
	int channelNumber;
	int channelMAP;

	CHAR *name;
};

#endif // !defined(AFX_CTVSTATION_H__E30342D9_59A4_4C8B_BC18_ECFD46D62231__INCLUDED_)
